weka.core.pmml.jaxbbindings

## Class PredictiveModelQuality

- java.lang.Object
- - weka.core.pmml.jaxbbindings.PredictiveModelQuality

-     public class PredictiveModelQuality
      extends java.lang.Object

  Java class for PredictiveModelQuality element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="PredictiveModelQuality">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}ConfusionMatrix" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}LiftData" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}ROC" minOccurs="0"/>
               </sequence>
               <attribute name="AIC" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="AICc" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="BIC" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="adj-r-squared" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="dataName" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="dataUsage" default="training">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="training"/>
                     <enumeration value="test"/>
                     <enumeration value="validation"/>
                   </restriction>
                 </simpleType>
               </attribute>
               <attribute name="degreesOfFreedom" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="fStatistic" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="meanAbsoluteError" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="meanError" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="meanSquaredError" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="numOfPredictors" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="numOfRecords" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="numOfRecordsWeighted" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="r-squared" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="rootMeanSquaredError" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="sumSquaredError" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="sumSquaredRegression" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="targetField" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PredictiveModelQuality()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Double` | `getAdjRSquared()` Gets the value of the adjRSquared property.
    `java.lang.Double` | `getAIC()` Gets the value of the aic property.
    `java.lang.Double` | `getAICc()` Gets the value of the aiCc property.
    `java.lang.Double` | `getBIC()` Gets the value of the bic property.
    `ConfusionMatrix` | `getConfusionMatrix()` Gets the value of the confusionMatrix property.
    `java.lang.String` | `getDataName()` Gets the value of the dataName property.
    `java.lang.String` | `getDataUsage()` Gets the value of the dataUsage property.
    `java.lang.Double` | `getDegreesOfFreedom()` Gets the value of the degreesOfFreedom property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `java.lang.Double` | `getFStatistic()` Gets the value of the fStatistic property.
    `LiftData` | `getLiftData()` Gets the value of the liftData property.
    `java.lang.Double` | `getMeanAbsoluteError()` Gets the value of the meanAbsoluteError property.
    `java.lang.Double` | `getMeanError()` Gets the value of the meanError property.
    `java.lang.Double` | `getMeanSquaredError()` Gets the value of the meanSquaredError property.
    `java.lang.Double` | `getNumOfPredictors()` Gets the value of the numOfPredictors property.
    `java.lang.Double` | `getNumOfRecords()` Gets the value of the numOfRecords property.
    `java.lang.Double` | `getNumOfRecordsWeighted()` Gets the value of the numOfRecordsWeighted property.
    `ROC` | `getROC()` Gets the value of the roc property.
    `java.lang.Double` | `getRootMeanSquaredError()` Gets the value of the rootMeanSquaredError property.
    `java.lang.Double` | `getRSquared()` Gets the value of the rSquared property.
    `java.lang.Double` | `getSumSquaredError()` Gets the value of the sumSquaredError property.
    `java.lang.Double` | `getSumSquaredRegression()` Gets the value of the sumSquaredRegression property.
    `java.lang.String` | `getTargetField()` Gets the value of the targetField property.
    `void` | `setAdjRSquared(java.lang.Double value)` Sets the value of the adjRSquared property.
    `void` | `setAIC(java.lang.Double value)` Sets the value of the aic property.
    `void` | `setAICc(java.lang.Double value)` Sets the value of the aiCc property.
    `void` | `setBIC(java.lang.Double value)` Sets the value of the bic property.
    `void` | `setConfusionMatrix(ConfusionMatrix value)` Sets the value of the confusionMatrix property.
    `void` | `setDataName(java.lang.String value)` Sets the value of the dataName property.
    `void` | `setDataUsage(java.lang.String value)` Sets the value of the dataUsage property.
    `void` | `setDegreesOfFreedom(java.lang.Double value)` Sets the value of the degreesOfFreedom property.
    `void` | `setFStatistic(java.lang.Double value)` Sets the value of the fStatistic property.
    `void` | `setLiftData(LiftData value)` Sets the value of the liftData property.
    `void` | `setMeanAbsoluteError(java.lang.Double value)` Sets the value of the meanAbsoluteError property.
    `void` | `setMeanError(java.lang.Double value)` Sets the value of the meanError property.
    `void` | `setMeanSquaredError(java.lang.Double value)` Sets the value of the meanSquaredError property.
    `void` | `setNumOfPredictors(java.lang.Double value)` Sets the value of the numOfPredictors property.
    `void` | `setNumOfRecords(java.lang.Double value)` Sets the value of the numOfRecords property.
    `void` | `setNumOfRecordsWeighted(java.lang.Double value)` Sets the value of the numOfRecordsWeighted property.
    `void` | `setROC(ROC value)` Sets the value of the roc property.
    `void` | `setRootMeanSquaredError(java.lang.Double value)` Sets the value of the rootMeanSquaredError property.
    `void` | `setRSquared(java.lang.Double value)` Sets the value of the rSquared property.
    `void` | `setSumSquaredError(java.lang.Double value)` Sets the value of the sumSquaredError property.
    `void` | `setSumSquaredRegression(java.lang.Double value)` Sets the value of the sumSquaredRegression property.
    `void` | `setTargetField(java.lang.String value)` Sets the value of the targetField property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PredictiveModelQuality

          public PredictiveModelQuality()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getConfusionMatrix

          public ConfusionMatrix getConfusionMatrix()

      Gets the value of the confusionMatrix property.
      Returns:
        possible object is `ConfusionMatrix`

    - #### setConfusionMatrix

          public void setConfusionMatrix(ConfusionMatrix value)

      Sets the value of the confusionMatrix property.
      Parameters:
        `value` - allowed object is `ConfusionMatrix`

    - #### getLiftData

          public LiftData getLiftData()

      Gets the value of the liftData property.
      Returns:
        possible object is `LiftData`

    - #### setLiftData

          public void setLiftData(LiftData value)

      Sets the value of the liftData property.
      Parameters:
        `value` - allowed object is `LiftData`

    - #### getROC

          public ROC getROC()

      Gets the value of the roc property.
      Returns:
        possible object is `ROC`

    - #### setROC

          public void setROC(ROC value)

      Sets the value of the roc property.
      Parameters:
        `value` - allowed object is `ROC`

    - #### getAIC

          public java.lang.Double getAIC()

      Gets the value of the aic property.
      Returns:
        possible object is `Double`

    - #### setAIC

          public void setAIC(java.lang.Double value)

      Sets the value of the aic property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getAICc

          public java.lang.Double getAICc()

      Gets the value of the aiCc property.
      Returns:
        possible object is `Double`

    - #### setAICc

          public void setAICc(java.lang.Double value)

      Sets the value of the aiCc property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getBIC

          public java.lang.Double getBIC()

      Gets the value of the bic property.
      Returns:
        possible object is `Double`

    - #### setBIC

          public void setBIC(java.lang.Double value)

      Sets the value of the bic property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getAdjRSquared

          public java.lang.Double getAdjRSquared()

      Gets the value of the adjRSquared property.
      Returns:
        possible object is `Double`

    - #### setAdjRSquared

          public void setAdjRSquared(java.lang.Double value)

      Sets the value of the adjRSquared property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getDataName

          public java.lang.String getDataName()

      Gets the value of the dataName property.
      Returns:
        possible object is `String`

    - #### setDataName

          public void setDataName(java.lang.String value)

      Sets the value of the dataName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataUsage

          public java.lang.String getDataUsage()

      Gets the value of the dataUsage property.
      Returns:
        possible object is `String`

    - #### setDataUsage

          public void setDataUsage(java.lang.String value)

      Sets the value of the dataUsage property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDegreesOfFreedom

          public java.lang.Double getDegreesOfFreedom()

      Gets the value of the degreesOfFreedom property.
      Returns:
        possible object is `Double`

    - #### setDegreesOfFreedom

          public void setDegreesOfFreedom(java.lang.Double value)

      Sets the value of the degreesOfFreedom property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getFStatistic

          public java.lang.Double getFStatistic()

      Gets the value of the fStatistic property.
      Returns:
        possible object is `Double`

    - #### setFStatistic

          public void setFStatistic(java.lang.Double value)

      Sets the value of the fStatistic property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getMeanAbsoluteError

          public java.lang.Double getMeanAbsoluteError()

      Gets the value of the meanAbsoluteError property.
      Returns:
        possible object is `Double`

    - #### setMeanAbsoluteError

          public void setMeanAbsoluteError(java.lang.Double value)

      Sets the value of the meanAbsoluteError property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getMeanError

          public java.lang.Double getMeanError()

      Gets the value of the meanError property.
      Returns:
        possible object is `Double`

    - #### setMeanError

          public void setMeanError(java.lang.Double value)

      Sets the value of the meanError property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getMeanSquaredError

          public java.lang.Double getMeanSquaredError()

      Gets the value of the meanSquaredError property.
      Returns:
        possible object is `Double`

    - #### setMeanSquaredError

          public void setMeanSquaredError(java.lang.Double value)

      Sets the value of the meanSquaredError property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getNumOfPredictors

          public java.lang.Double getNumOfPredictors()

      Gets the value of the numOfPredictors property.
      Returns:
        possible object is `Double`

    - #### setNumOfPredictors

          public void setNumOfPredictors(java.lang.Double value)

      Sets the value of the numOfPredictors property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getNumOfRecords

          public java.lang.Double getNumOfRecords()

      Gets the value of the numOfRecords property.
      Returns:
        possible object is `Double`

    - #### setNumOfRecords

          public void setNumOfRecords(java.lang.Double value)

      Sets the value of the numOfRecords property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getNumOfRecordsWeighted

          public java.lang.Double getNumOfRecordsWeighted()

      Gets the value of the numOfRecordsWeighted property.
      Returns:
        possible object is `Double`

    - #### setNumOfRecordsWeighted

          public void setNumOfRecordsWeighted(java.lang.Double value)

      Sets the value of the numOfRecordsWeighted property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getRSquared

          public java.lang.Double getRSquared()

      Gets the value of the rSquared property.
      Returns:
        possible object is `Double`

    - #### setRSquared

          public void setRSquared(java.lang.Double value)

      Sets the value of the rSquared property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getRootMeanSquaredError

          public java.lang.Double getRootMeanSquaredError()

      Gets the value of the rootMeanSquaredError property.
      Returns:
        possible object is `Double`

    - #### setRootMeanSquaredError

          public void setRootMeanSquaredError(java.lang.Double value)

      Sets the value of the rootMeanSquaredError property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getSumSquaredError

          public java.lang.Double getSumSquaredError()

      Gets the value of the sumSquaredError property.
      Returns:
        possible object is `Double`

    - #### setSumSquaredError

          public void setSumSquaredError(java.lang.Double value)

      Sets the value of the sumSquaredError property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getSumSquaredRegression

          public java.lang.Double getSumSquaredRegression()

      Gets the value of the sumSquaredRegression property.
      Returns:
        possible object is `Double`

    - #### setSumSquaredRegression

          public void setSumSquaredRegression(java.lang.Double value)

      Sets the value of the sumSquaredRegression property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getTargetField

          public java.lang.String getTargetField()

      Gets the value of the targetField property.
      Returns:
        possible object is `String`

    - #### setTargetField

          public void setTargetField(java.lang.String value)

      Sets the value of the targetField property.
      Parameters:
        `value` - allowed object is `String`